use std::fmt;

/// Various errors to be used in this wrapper
#[derive(Debug)]
pub enum XError {
    OpenDisplayError(String),
}

impl std::fmt::Display for XError {
    fn fmt(&self, f: &mut fmt::Formatter<'_>) -> fmt::Result {
        write!(
            f,
            "{}",
            match self {
                XError::OpenDisplayError(display_name) =>
                    format!("error when opening display '{}'", display_name),
            }
        )
    }
}

impl std::error::Error for XError {}
